Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# parseChangelog.c File Reference

Parse changelog section from spec file. More...

`#include "system.h"`
`#include "rpmbuild.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions
void | addChangelogEntry (Header h, time_t time, const char *name, const char *text)
static int | dateToTimet (const char *datestr, time_t *secs)
| Parse date string to seconds.
static int | addChangelog (Header h, StringBuf sb)
| Add changelog section to header.
int | parseChangelog (Spec spec)

## Detailed Description

Parse changelog section from spec file.

Definition in file parseChangelog.c.

## Function Documentation

static int addChangelog | ( | Header | h,
|  | StringBuf | sb
| ) | `[static]`

  | Add changelog section to header. Parameters:
  | h | header
  | sb | changelog strings
Returns: 0 on success Definition at line 108 of file parseChangelog.c. References _, addChangelogEntry(), dateToTimet(), getStringBuf(), RPMERR_BADSPEC, rpmError, SKIPNONSPACE, SKIPSPACE, and xisspace(). Referenced by parseChangelog().

static int dateToTimet | ( | const char * | datestr,
|  | time_t * | secs
| ) | `[static]`

  | Parse date string to seconds. Parameters:
  | datestr | date string (e.g. 'Wed Jan 1 1997')
  Return values:
  | secs | secs since the unix epoch
Returns: 0 on success, -1 on error Definition at line 37 of file parseChangelog.c. References alloca(), SKIPNONSPACE, and SKIPSPACE. Referenced by addChangelog().